当前位置: 动力学知识库 > 问答 > 编程问答 >

node.js - Bower : can't install dependencies

问题描述:

when i try to install angular-sails i'm getting error :

λ bower install

bower angular-sails#* not-cached https://github.com/kyjan/angular-sails.git#*

bower angular-sails#* resolve https://github.com/kyjan/angular-sails.git#*

bower angular-mocks#~1.5.0 not-cached https://github.com/angular/bower-angular-mocks.git#~1.5.0

bower angular-mocks#~1.5.0 resolve https://github.com/angular/bower-angular-mocks.git#~1.5.0

bower angular-scenario#~1.5.0 not-cached https://github.com/angular/bower-angular-scenario.git#~1.5.0

bower angular-scenario#~1.5.0 resolve https://github.com/angular/bower-angular-scenario.git#~1.5.0

bower angular-sails#* ECMDERR Failed to execute "git ls-remote --tags --heads https://github.com/kyjan/angular-sails.git", exit code of #128

网友答案:

Check port 22 isn't blocked on your computer and try the install again.

Also, you could try the following:

git config --global url."https://".insteadOf git://

to tell git to use HTTPS instead of GIT which worked out for me to install npm dependencies.

分享给朋友:
您可能感兴趣的文章:
随机阅读: